package annotation

import (
	"reflect"

	"git.loafle.net/loafer/annotation-go"
)

var ServerAnnotationType = reflect.TypeOf((*ServerAnnotation)(nil))

func init() {
	if err := annotation.Register(ServerAnnotationType); nil != err {
		panic(err)
	}
}

type ServerAnnotation struct {
	annotation.TypeAnnotation `@annotation:"@app:Server"`

	RootDir   string              `json:"rootDir"`
	Mount     map[string][]string `json:"mount"`
	UploadDir string              `json:"uploadDir"`
	HTTPPort  int16               `json:"httpPort"`
	HTTPSPort int16               `json:"httpsPort"`
}
